Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002738Doomseeker[All Projects] Suggestionpublic2016-05-20 06:522017-07-03 17:37
ReporterFrits 
Assigned ToZalewa 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version 
Target VersionFixed in Version1.1 
Summary0002738: Doomseeker refresh rates are painstakingly slow compared to doomexplorer
DescriptionNow i've been using doomseeker since it came out because one of it's biggest strengths was the refresh rate that at the time was a lot faster than IDE back then. Now not so much anymore.
RR of the latest DE and DS today:
DE: 2 seconds
DS: 52! seconds for a complete refresh

I think these numbers say enough, Zalewa pls fix
Attached Files

- Relationships

-  Notes
User avatar (0014958)
Zalewa (developer)
2016-05-21 08:03

Refresh speed is configurable in configuration box on the "Query" page. Please try adjusting your settings.

We go for the safe option for a reason that I have noticed that some routers like to "block" the traffic if they notice you rapidly "spam" numerous IP addresses with UDP packets. Doomseeker was not working for some people.
User avatar (0014959)
Frits (reporter)
2016-05-21 12:49
edited on: 2016-05-21 12:50

Tested it with agressive which still took 25 seconds. Still ages of time compared to DE.
Then modified the values to be as low as possible which reduced it down to 10 but as you said made some servers "block" my refresh on more attempts.

Surely you can squeeze some more out of it? How does DE do it in 2 seconds without ever failing?

User avatar (0014964)
AlexMax (reporter)
2016-05-21 18:23

It might be useful to use Wireshark to dump a capture of Doom Explorer querying servers compared to Doomseeker. Maybe it's doing a non-obvious trick.
User avatar (0016928)
Zalewa (developer)
2017-03-04 13:12

It turns out the special thing that Doom Explorer is doing is not pushing all queries through a single socket but having 1 socket per 100 servers. This prevents the problem of query replies becoming lost.

Commithttps://bitbucket.org/Doomseeker/doomseeker/commits/7aacc1d0113564e7183943639434a9a4ec144f69 [^] implements the same mechanism for Doomseeker and also reduces limits imposed on Query speed setting. A "Very Aggressive" query preset has also been added, with which I can achieve 3 seconds refreshes for ALL of the supported ports.
User avatar (0016929)
Zalewa (developer)
2017-03-04 13:39

Beta update channel is ripe for testing.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-05-20 06:52 Frits New Issue
2016-05-20 07:25 Dusk Project Zandronum => Doomseeker
2016-05-21 08:03 Zalewa Note Added: 0014958
2016-05-21 12:49 Frits Note Added: 0014959
2016-05-21 12:50 Frits Note Edited: 0014959 View Revisions
2016-05-21 18:23 AlexMax Note Added: 0014964
2017-02-28 20:30 Zalewa Status new => acknowledged
2017-03-04 13:12 Zalewa Note Added: 0016928
2017-03-04 13:12 Zalewa Assigned To => Zalewa
2017-03-04 13:12 Zalewa Status acknowledged => needs review
2017-03-04 13:39 Zalewa Note Added: 0016929
2017-03-04 13:39 Zalewa Status needs review => needs testing
2017-07-03 17:37 Zalewa Status needs testing => resolved
2017-07-03 17:37 Zalewa Fixed in Version => 1.1
2017-07-03 17:37 Zalewa Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker